Class | Rake::CompositePublisher
In: | lib/rake/contrib/compositepublisher.rb
Parent: | Object

Manage several publishers as a single entity.

### Methods

add new upload

### Public Class methods

new()

[Source]

       # File lib/rake/contrib/compositepublisher.rb, line 7
    7:     def initialize
    8:       @publishers = []
    9:     end

### Public Instance methods

add(pub)

Add a publisher to the composite.

[Source]

        # File lib/rake/contrib/compositepublisher.rb, line 12
    12:     def add(pub)
    13:       @publishers << pub
    14:     end

upload()

Upload all the individual publishers.

[Source]

        # File lib/rake/contrib/compositepublisher.rb, line 17
    17:     def upload
    18:       @publishers.each { |p| p.upload }
    19:     end

[Validate]